# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(HTTP/Server/Simple/CGI.pm) perl(IO/File.pm) perl(IO/Tee.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/HTTP/Server/Simple.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name HTTP-Server-Simple-Recorder
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Mixin to record HTTP::Server::Simple's sockets
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JE/JESSE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module allows you to record all HTTP communication between an 
the HTTP::Server::Simple manpage-derived server and its clients.  It is a mixin, so 
it doesn't itself subclass the HTTP::Server::Simple manpage; you need to subclass from
both the HTTP::Server::Simple::Recorder manpage and an actual the HTTP::Server::Simple manpage subclass,
and the HTTP::Server::Simple::Recorder manpage should be listed first.

Every time a client connects to your server, this module will open a pair of files and log
the communication between the file and server to these files.  Each connection gets a serial
number starting at 1.  The filename used is `<$self-'recorder_prefix>>, then a period,
then the connection serial number, then a period, then either "in" or "out".  
`recorder_prefix' defaults to `/tmp/http-server-simple-recorder', but you can override that
in your subclass.  For example, you might want to include the process ID.



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/H*

%changelog
* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

